<?php
// Check if at least one search criterion is present; redirect if not
//if (empty($_POST['manufacturer_id']) && empty($_POST['system_id']) && empty($_POST['type_id'])) {
//    echo "Error one or more field empty";
//    exit();
//}

// Database connection
$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

$mysql = new mysqli($host, $userid, $userpw, $db);

if ($mysql->connect_errno) {
    echo "DB connection error: " . $mysql->connect_error;
    exit();
}
?>

<!DOCTYPE html>

<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<body>

<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">
        <a href="search.php"><< Back to Search Page</a>
    </div>

    <?php

        // Build SQL query based on search criteria
        $sql = "SELECT name, price, manufacturer, system, type 
        FROM devices, manufacturers, systems, types
        WHERE 1=1
        AND devices.manufacturer_id = manufacturers.manufacturer_id
        AND devices.system_id = systems.system_id
        AND devices.type_id = types.type_id";
//        AND devices.manufacturer_id = " . $_GET['manufacturer_id']
//        "AND devices.system_id = " . $_GET['system_id'] .
//        "AND devices.type_id = " . $_GET['type_id']

        if (!empty($_POST['device_name'])) {
            $sql .= " AND devices.name = '" . $mysql->real_escape_string($_POST['device_name']) . "'";
        }
        if (!empty($_POST['manufacturer_id'])) {
            $sql .= " AND devices.manufacturer_id = " . $mysql->real_escape_string($_POST['manufacturer_id']);
        }
        if(!empty($_POST['system_id'])) {
            $sql .= " AND devices.system_id = " . $mysql->real_escape_string($_POST['system_id']);
        }
        if (!empty($_POST['type_id'])) {
            $sql .= " AND devices.type_id = " . $mysql->real_escape_string($_POST['type_id']);
        }

        echo "<pre>SQL Query: " . htmlspecialchars($sql) . "</pre>"; // Debugging output

        $results = $mysql->query($sql);

        if (!$results) {
            echo "<hr>Your SQL:<br> " . htmlspecialchars($sql) . "<br><br>";
            echo "SQL Error: " . htmlspecialchars($mysql->error) . "<hr>";
            exit();
        }

        echo "<em>Your search returned <strong>" .
            $results->num_rows .
            "</strong> results.</em>";
        echo "<br><br>";



//        $sql1 = "SELECT manufacturer FROM manufacturers WHERE manufactuer_id = " . $_REQUEST['manufacturer_id'];
//        $sql2 = "SELECT system FROM systems WHERE system_id = " . $_REQUEST['system_id'];
//        $sql3 = "SELECT type FROM types WHERE type_id = " . $_REQUEST['type_id'];
//
//        $manufacturerResults = $mysql->query($sql1);
//        echo $manufacturerResults->num_rows . " manufacturers returned.";
//        $systemResults = $mysql->query($sql2);
//        $typeResults = $mysql->query($sql3);
//
//
//        $currentrowManufacturer = $manufacturerResults->fetch_assoc();
//        $currentrowSystem = $systemResults->fetch_assoc();
//        $currentrowType = $typeResults->fetch_assoc();
//
//        $manufacturer = $currentrowManufacturer['manufacturer'];
//        $system = $currentrowSystem['system'];
//        $type = $currentrowType['type'];


    ?>

    <table>
        <tr>
            <th>Name</th>
            <th>Price</th>
            <th>Manufacturer</th>
            <th>System</th>
            <th>Type</th>
        </tr>

        <?php
            while ($currentrow = $results->fetch_assoc()) {
                echo "<tr>" .
                    "<td><a href='details.php?id=" . htmlspecialchars($currentrow['name']) . "'>" .
                    htmlspecialchars($currentrow['name']) .
                    "</a></td></strong>" .

                    "<td>" . htmlspecialchars($currentrow['price']) . "</td>" .

                    "<td>" . htmlspecialchars($currentrow['manufacturer']) . "</td>" .
                    "<td>" . htmlspecialchars($currentrow['system']) . "</td>" .
                    "<td>" . htmlspecialchars($currentrow['type']) . "</td>"
                    . "</tr>";
            }

        ?>
    </table>

</div>

</body>

</html>